Attribute VB_Name = "Module2"


Global Const DHFLAG_RETURN_MSG_ID = &H1
Global Const DHFLAG_SEGMENT_ONLY = &H2
Global Const DHFLAG_NO_PICT_PATH = &H8
Global Const DHFLAG_LIST_TO_TEXT = &H10
Global Const DHFLAG_NO_SPAN_TAG = &H80
Global Const DHFLAG_NO_FONT = &H100
Global Const DHFLAG_FLASH_SUPPORT = &H200
Global Const DHFLAG_XLATE_SINGLE_QUOTE = &H400
Global Const DHFLAG_SAVE_PICT_AS_BMP = &H800
Global Const DHFLAG_PNG_RGB = &H1000
Global Const DHFLAG_FIX_NEG_INDENT = &H2000

'******************************************************************************
'   Message ids
'*******************************************************************************
Global Const MSG_FILE_NOT_FOUND = 1
Global Const MSG_NO_EDITOR_INSTANCE = 2
Global Const MSG_READ_ERROR = 3
Global Const MSG_WRITE_ERROR = 4
Global Const MSG_MEMORY_LOCK = 5
Global Const MSG_NO_FILE_SIGNATURE = 6
Global Const MSG_BAD_DOCX_FILE = 7
Global Const MSG_BAD_HTML_FILE = 8
Global Const MSG_EXPIRED = 9
Global Const MSG_TXML_NOT_LOADED = 10

Global Const MSG_OTHER = 99

Rem ************************************************************************
Rem Function declarations
Rem ************************************************************************

Declare Function DhsNewSession Lib "DHS32.DLL" () As Long
Declare Function DhsEndSession Lib "DHS32.DLL" (ByVal id As Long) As Long
Declare Function DhsSetFlags Lib "DHS32.DLL" (ByVal id As Long, ByVal SetReset As Long, ByVal flags As Long) As Long
Declare Function DhsGetLastMessage Lib "DHS32.DLL" (ByVal id As Long, ByVal message As String, ByVal DebugMsg As String) As Long
Declare Function DhsResetLastMessage Lib "DHS32.DLL" (ByVal id As Long) As Long
Declare Function DhsConvertFile Lib "DHS32.DLL" (ByVal id As Long, ByVal InFile As String, ByVal OutFile As String) As Long
Declare Function DhsConvertBuffer Lib "DHS32.DLL" (ByVal id As Long, ByVal InData As String, ByVal InSize As Long, OutSize As Long) As Long
Declare Function DhsHandleToStr Lib "DHS32.DLL" (ByVal buf As String, ByVal BufLen As Long, ByVal hMem As Long) As Long
Declare Function DhsGetPictCount Lib "DHS32.DLL" (ByVal id As Long) As Long
Declare Function DhsGetPictName Lib "DHS32.DLL" (ByVal id As Long, ByVal idx As Long, ByVal PictName As String) As Long
Declare Function DhsSetPaperSize Lib "DHS32.DLL" (ByVal id As Long, ByVal PaperSize As Long, ByVal PaperWidth As Long, ByVal PaperHeight As Long) As Long
Declare Function DhsSetPaperOrient Lib "DHS32.DLL" (ByVal id As Long, ByVal PaperOrient As Long) As Long
Declare Function DhsSetPageMargin Lib "DHS32.DLL" (ByVal id As Long, ByVal left As Long, ByVal right As Long, ByVal top As Long, ByVal bottom As Long) As Long
Declare Function DhsSetDownloadDir Lib "DHS32.DLL" (ByVal id As Long, ByVal DownloadDir As String) As Long
Declare Function DhsSetLicenseInfo Lib "DHS32.DLL" (ByVal LicKey As String, ByVal LicNbr as String, ByVal CompanyName as String) As Long
Declare Function DhsSetInServer Lib "DHS32.DLL" (ByVal InServer As Long) As Long
Declare Function DhsGetLicenseStatus Lib "DHS32.DLL" () As Long


Rem **************************************************
Rem When a string is passed for OUTPUT to the DLL
Rem ,the output string created by the DLL has an extra
Rem NULL character.  For such strings, you must call
Rem this routine to strip the null character from the
Rem given string
Rem **************************************************
Function DiscardNull(InText As String) As String
   Dim i As Long
   Dim StrLen As Long
   Dim CurChar As String

   StrLen = Len(InText)

   For i = 1 To StrLen
      CurChar = left(InText, i)
      CurChar = right(CurChar, 1)

      If Asc(CurChar) = 0 Then
         DiscardNull = left(InText, i - 1)
         Exit Function
      End If
   Next i

   DiscardNull = InText

End Function


