unit dmo_dlp1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    InputFile: TEdit;
    OutputFile: TEdit;
    OK: TButton;
    Cancel: TButton;
    status: TLabel;
    msg: TLabel;
    procedure OKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

  {$I dhs.pas}

implementation

{$R *.dfm}
{$I dhs_prot.pas}

procedure TForm1.OKClick(Sender: TObject);
var
   result: LongBool;
   id: LongInt;
begin

   // Check if file exists
   If Not FileExists(InputFile.Text) Then // check if file exists
   begin
      InputFile.SetFocus;
      exit;
   end;
   If OutputFile.Text = '' Then
   begin
      OutputFile.SetFocus;
      exit;
   end;

   msg.Caption := 'Converting....';   // show the progress status
   result := False;

   // set the conversion type

   // Do file conversion
   id := DhsNewSession();   // start a new conversion session


   If (DhsConvertFile(id, AnsiString(InputFile.Text), AnsiString(OutputFile.Text))<>0) Then result := True;

   DhsEndSession (id); // end conversion session
   If (result) Then msg.Caption := 'Done!' Else msg.Caption := 'Error';

end;

end.
