{******************************************************************************
               Control Constants
*******************************************************************************}
Const
   RCG_DATA_VER = 101;

   DHFLAG_RETURN_MSG_ID = $1;
   DHFLAG_SEGMENT_ONLY = $2;
   DHFLAG_NO_PICT_PATH = $8;
   DHFLAG_LIST_TO_TEXT  = $10;
   DHFLAG_NO_SPAN_TAG     = $80;       // do not write the span tags
   DHFLAG_NO_FONT         = $100;      // do not write the font tag
   DHFLAG_FLASH_SUPPORT   = $200;      // html output for flash support
   DHFLAG_XLATE_SINGLE_QUOTE  = $400;  // translate single quote to &#39;
   DHFLAG_SAVE_PICT_AS_BMP    = $800;  // save picture as bmp in html output
   DHFLAG_PNG_RGB            = $1000;  // save png in rgb (high quality)

//******************************************************************************
//   Message ids
//*******************************************************************************
    MSG_FILE_NOT_FOUND = 1;
    MSG_NO_EDITOR_INSTANCE = 2;
    MSG_READ_ERROR = 3;
    MSG_WRITE_ERROR = 4;
    MSG_MEMORY_LOCK = 5;
    MSG_NO_FILE_SIGNATURE  =6;
    MSG_BAD_DOCX_FILE      =7;
    MSG_BAD_HTML_FILE      =8;
    MSG_EXPIRED            =9;
    MSG_TXML_NOT_LOADED   =10;

    MSG_OTHER = 99;


